import type { FileUploadState } from 'primevue/fileupload';

export interface FileExt extends File {
  objectURL: string;
}

export type FileUploadStatus = 'pending' | 'uploading' | 'uploaded' | 'failed';

export type UploadedFileInfo = {
  rawFile?: FileExt;
  name?: string;
  url?: string;
  status?: FileUploadStatus;
  progress?: number;
};

export interface FileUploadInst extends FileUploadState {
  files: FileExt[];
  uploadedFiles: UploadedFileInfo[];
  chooseDisabled?: boolean;
}
export type CustomRequest = (options: {
  file: File;
  onProgress: (percent: number) => void;
}) => Promise<{ url: string }>;

export type PropValueToFiles = (value: unknown) => UploadedFileInfo[] | null;
export type PropFilesToValue = (filelist: UploadedFileInfo[]) => unknown;
