import Aura from '@primevue/themes/aura';
import zhCN from 'primelocale/zh-CN.json';
import PrimeVue from 'primevue/config';
import ToastService from 'primevue/toastservice';
import { createApp } from 'vue';
import { setupFormKit } from '../formkit.config';
import App from './App.vue';

// import '@unocss/reset/normalize.css'
// import '@unocss/reset/sanitize/sanitize.css'
// import '@unocss/reset/sanitize/assets.css'
// import '@unocss/reset/eric-meyer.css'
// import '@unocss/reset/tailwind-compat.css'
// import '@unocss/reset/tailwind.css'

import 'primeicons/primeicons.css';
import 'virtual:uno.css';

const app = createApp(App);
app.use(PrimeVue, {
  locale: {
    ...zhCN['zh-CN'],
    noFileChosenMessage: '未选择文件',
    pending: '待上传',
    completed: '已上传',
  }, // usePrimeVue().config.locale
  theme: { preset: Aura },
  options: {
    prefix: 'p',
    darkModeSelector: 'system',
    cssLayer: false,
  },
});
app.use(ToastService);

// https://github.dev/formkit/auto-animate/blob/master/docs/src/examples/formkit/ActualFormKit.vue

setupFormKit(app);

app.mount('#app');
